Error get file "MobiControl1421.apk" from database to "C:\ProgramData\SOTI\PkgStore\Update\MobiControl1421.apk"

Error get file "MobiControl1421.apk" from database to "C:\ProgramData\SOTI\PkgStore\Update\MobiControl1421.apk"

Hi,

I recently upgraded to Mobicontrol version 14.2.1.4394

Now when i log into the web interface i get this error: Deployment server error (Error get file "MobiControl1421.apk" from database to "C:\ProgramData\SOTI\PkgStore\Update\MobiControl1421.apk".) 

This is correct since the file Mobicontrol1421.apk isn't located in that programdata folder. The only file i see there is SamsungElmMobiControl1421.apk. 

Is there a way we can fix this or remove this error message? It is very annoying and we don't seem to be able tot do anything about it...? 

Thx

3 Answers

Order By:   Standard | Newest | Votes
Raymond, Chan | posted this 29 January 2019

What was the version+build numbers of your server before the upgrade?  What was the upgrade path?

Did you do the upgrade yourself?  Was there any warning(s) or error(s) reported when you were performing the upgrade?

 

 

Based on the name "MobiControl1421.apk",  the system refers to a generic Android agent, but unfortunately there is no new generic Android agent after v13.2.   I haven't seen anything similar and I don't believe Soti developers would include buggy codes that initiate reference to such non-existing device agent.  May I ask if you or your colleague have directly modified any data tables in your MobiControl database in the past? Has there been any attempt to inject new device agent in the past?

 

  

  • 0
  • 0
Wesleydb | posted this 29 January 2019

Hi,

If i remember correctly we upgraded ourself from version 13.2. There where no errors when upgrading it actually went very smooth.

I have never made any changes in the database and I have never attempted to inject a new device agent.

So if there is a reference to a non existing file, it is because it is somewhere in the code.

grtz

  • 0
  • 0
Raymond, Chan | posted this 29 January 2019

You meant you had upgraded in ONE step from v13.2 directly to your current v14.2.1.4393 ?

  • 0
  • 0

Give us your feedback
Give us your feedback
Feedback